import * as create from 'create';

declare const blockESLint: create.BlockWithAddons<{
    extensions: (string | {
        plugins?: Record<string, string> | undefined;
        files?: string[] | undefined;
        settings?: Record<string, unknown> | undefined;
        extends?: string[] | undefined;
        languageOptions?: unknown;
        linterOptions?: unknown;
        rules?: Record<string, "off" | "error" | "warn" | ["error" | "warn", unknown] | ["error" | "warn", unknown, unknown]> | {
            entries: Record<string, "off" | "error" | "warn" | ["error" | "warn", unknown] | ["error" | "warn", unknown, unknown]>;
            comment?: string | undefined;
        }[] | undefined;
    })[];
    ignores: string[];
    imports: {
        source: string;
        specifier: string;
        types?: boolean | undefined;
    }[];
    settings?: Record<string, unknown> | undefined;
    rules?: Record<string, "off" | "error" | "warn" | ["error" | "warn", unknown] | ["error" | "warn", unknown, unknown]> | {
        entries: Record<string, "off" | "error" | "warn" | ["error" | "warn", unknown] | ["error" | "warn", unknown, unknown]>;
        comment?: string | undefined;
    }[] | undefined;
    beforeLint?: string | undefined;
}, {
    description: string;
    access: "public" | "restricted";
    directory: string;
    email: {
        github: string;
        npm: string;
    };
    title: string;
    owner: string;
    repository: string;
    author?: string | undefined;
    bin?: string | undefined;
    contributors?: {
        name: string;
        avatar_url: string;
        contributions: string[];
        login: string;
        profile: string;
    }[] | undefined;
    documentation?: string | undefined;
    funding?: string | undefined;
    guide?: {
        href: string;
        title: string;
    } | undefined;
    hideTemplatedBy?: boolean | undefined;
    keywords?: string[] | undefined;
    logo?: {
        alt: string;
        src: string;
        height?: number | undefined;
        width?: number | undefined;
    } | undefined;
    node?: {
        minimum: string;
        pinned?: string | undefined;
    } | undefined;
    packageData?: {
        dependencies?: Record<string, string> | undefined;
        devDependencies?: Record<string, string> | undefined;
        scripts?: Record<string, string> | undefined;
    } | undefined;
    usage?: string | undefined;
    version?: string | undefined;
}>;

export { blockESLint };
