import { Octokit } from 'octokit';
import { z } from 'zod';
import { Options, Mode, PromptedOptions } from '../types.js';
import '../codes.js';

interface OctokitAndOptions {
    octokit: Octokit | undefined;
    options: Options;
}
interface OptionsParseCancelled {
    cancelled: true;
    error?: string | z.ZodError<object>;
    options: object;
}
type OptionsParseResult = OptionsParseCancelled | OptionsParseSuccess;
interface OptionsParseSuccess extends OctokitAndOptions {
    cancelled: false;
}
declare function readOptions(args: string[], mode: Mode, promptedOptions?: PromptedOptions): Promise<OptionsParseResult>;

export { type OctokitAndOptions, type OptionsParseCancelled, type OptionsParseResult, type OptionsParseSuccess, readOptions };
