import { readFileSafeAsJson } from "../../../shared/readFileSafeAsJson.js";
import { formatJson } from "./formatters/formatJson.js";
async function createKnipConfig() {
  const existingPackageJson = await readFileSafeAsJson(
    "./package.json"
  );
  return await formatJson({
    $schema: `https://unpkg.com/knip@${existingPackageJson?.devDependencies?.knip ?? "latest"}/schema.json`,
    entry: ["src/index.ts!"],
    ignoreExportsUsedInFile: {
      interface: true,
      type: true
    },
    project: ["src/**/*.ts!"]
  });
}
export {
  createKnipConfig
};
//# sourceMappingURL=createKnipConfig.js.map